:root {
  --cor-padrao1: #008438;
  --cor-padrao2: #80b928;
  --cor-clara1: white;
}

.ui-autocomplete {
  position: absolute;
  top: 100%;
  left: 0;
  z-index: 9999;
  width: 100%;
  padding: 0;
  margin: 0;
  list-style-type: none;
}

.ui-helper-hidden-accessible {
  display: none !important;
}

.icon-menu {
  margin: auto;
  color: var(--cor-padrao1);
}

.card-icon {
  font-size: 50px !important;
  padding-bottom: 15px;
  color: #008438;
}

.card-link {
  cursor: pointer;
  transition: transform 0.3s;
  color: #008438;
  text-decoration: none;
}

.card-text {
  width: 70%;
  text-align: center;
  margin: auto;
}

.card-link:hover {
  transform: scale(1.05);
}

.bg-padrao {
  /* background-color: var(--cor-padrao1); */
  background-size: cover;
  background-repeat: no-repeat;
  font-family: tahoma;
}

.card input,
.card select,
.card textarea {
  border: 2px solid var(--cor-padrao1);
  border-radius: 15px;
}

.card input::placeholder {
  color: var(--cor-padrao1);
}

.card h1 {
  font-weight: bold;
  color: var(--cor-padrao1);
  padding-bottom: 15px;
}

#base-btn-enviar .btn-primary {
  background-color: var(--cor-padrao1);
  min-width: 50%;
  padding:10px;
  margin: 10px;
  text-align: center;
}

#base-btn-enviar .btn-secondary {
  border-radius: 10px;
  text-decoration: none;
  color: white;
  font-weight: bolder;
  background-color: var(--cor-padrao2);
  max-width: 50%;
  padding: 10px;
  margin: 0 10px;
  text-align: center;
}

#base-btn-enviar .btn-primary:hover {
  background-color:#1a6439;
}

#base-btn-enviar .btn-secondary:hover {
  background-color:#639913;
}


.card button {
  background-color: var(--cor-padrao1);
  padding: 5px 15px;
  font-weight: bold;
  font-family: tahoma;
}

.card {
  border-radius: 25px !important;
}

.logo img {
  max-width: 60%;
  min-width: 150px;
  padding: 3vh 0vh;
}

.logo {
  width: 100%;
  text-align: center;
}

.footer {
  color: var(--cor-clara1);
  padding-bottom: 15px;
}

#ui-id-1,
#ui-id-2,
#ui-id-4,
#ui-id-3 {
  width: 350px !important;
}

.ui-autocomplete {
  background-color: #f1f1f1;
  border: 1px solid #ccc;
  padding: 10px;
  list-style-type: none;
  max-height: 200px; /* Defina a altura máxima da lista de sugestões */
  overflow-y: auto; /* Adicione uma barra de rolagem vertical se necessário */
}

.ui-menu-item {
  padding: 5px;
  cursor: pointer;
}

.ui-menu-item:hover {
  background-color: #eaeaea;
}

body {
  /* background-color: var(--cor-padrao2) !important; */
  min-height: 100vh;
  background-size: cover !important;
  background-position: center;
  background-repeat: no-repeat;
  margin: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.login-form {
  margin: auto;
  background-color: #fff;
  padding: 30px;
  border-radius: 25px;
  box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.3);
  max-width: 300px;
  width: 100%;
}

#pg-login button {
  font-size: 1.2rem;
  padding: 8px 50px;
  background-color: var(--cor-padrao2);
  border: 1px solid var(--cor-padrao2);
  border-radius: 10px;
  box-shadow: 5px 5px 8px rgba(0, 0, 0, 0.3);
}

#pg-login button:hover {
  background-color: var(--cor-padrao1);
  background-position: bottom;
}

#pg-login input {
  border: 2px solid var(--cor-padrao2);
}

#pg-login input::placeholder {
  color: var(--cor-padrao1);
}

#pg-login h2 {
  font-family: tahoma;
  color: var(--cor-padrao1);
}

#pg-login h2 span {
  font-weight: bold;
}

#pg-menu button {
  font-size: 1.2rem;
  padding: 8px 50px;
  background-color: var(--cor-clara1);
  border: 1px solid var(--cor-clara1);
  border-radius: 10px;
  box-shadow: 5px 5px 8px rgba(0, 0, 0, 0.3);
}

#pg-menu button:hover {
  background-color: var(--cor-padrao1);
  background-position: bottom;
}

.icon-menu {
  width: 50px;
  height: 50px;
  background-size: cover;
}


#loader {
  position: absolute;
  width: 100vw;
  height: 125vh;
  z-index: 9999;
}

.loaderSection {
  width: 100%;
  height: 100%;
  z-index: 9999;
  background-color: rgba(0, 0, 0, 0.534) !important;
}

.loaderContent {
  text-align: center;
  color: #fff;
}

.loaderImage {
  width: 100px;
  height: 100px;
}

.loaderText {
  font-size: 2rem;
  font-family: tahoma;
  font-weight: bold;
  color: var(--cor-clara1);
  margin-top: 10px;
}

#titulo-confirm h2{
  color: var(--cor-padrao1) !important;
  font-weight: bold;
}

#titulo-confirm button {
  background-color: var(--cor-padrao1);
  color: var(--cor-clara1);
  border-radius: 10px;
  margin-top: 20px;
  padding: 5px 15px;
  font-weight: bold;
  font-family: tahoma;
}

#titulo-error button {
  background-color: red;
  color: var(--cor-clara1);
  border-radius: 10px;
  margin-top: 20px;
  padding: 5px 15px;
  font-weight: bold;
  font-family: tahoma;
}